(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     13872,        324]
NotebookOptionsPosition[     14144,        312]
NotebookOutlinePosition[     14575,        329]
CellTagsIndexPosition[     14532,        326]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["La retta dei minimi quadrati", "Section",
 CellChangeTimes->{{3.629264067942004*^9, 3.629264076661825*^9}}],

Cell[TextData[{
 "Riferimento :\nG.C. Barozzi, G. Dore, E, Obrecht :\n",
 StyleBox["Elementi di Analisi Matematica, Vol. 2",
  FontWeight->"Bold"],
 "\nZanichelli Editore, Bologna (2015), ISBN 978-88-08-43708-2 \nSezione \
12.2"
}], "Text",
 CellChangeTimes->{
  3.412533299224777*^9, {3.629029150031747*^9, 3.6290291535655947`*^9}, 
   3.629264058752448*^9, {3.629264138932662*^9, 3.629264139994092*^9}, {
   3.6292643603333187`*^9, 3.629264367313686*^9}, {3.6328930760162687`*^9, 
   3.632893101390934*^9}}],

Cell[TextData[{
 "\nE' dato un insieme di punti (in blu) approssimativamente allineati. Si \
vuole individuare la retta dei minimi quadrati.\n\nSuggerimenti:\n- scegliere \
un valore del coefficiente angolare  ",
 StyleBox["m",
  FontSlant->"Italic"],
 " (controllo superiore). \n- animare la retta di coefficiente angolare \
scelto (controllo inferiore).\n\nConstatare che la somma dei quadrati \
(mostrata nel rettangolo giallo in basso), fissato il coefficiente angolare \
",
 StyleBox["m",
  FontSlant->"Italic"],
 ", \[EGrave] minima quando la retta passa per il baricentro dei punti dati \
(si tratta del punto rosso)."
}], "Text",
 CellChangeTimes->{{3.629264232988101*^9, 3.629264258961258*^9}, {
  3.629264382548739*^9, 3.6292644346418858`*^9}, {3.629288305437417*^9, 
  3.629288307851714*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 0.15000000000000002`, Typeset`show$$ =
     True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`m$$], -0.2, 0.5, 0.05}}, Typeset`size$$ = {
    445., {234., 240.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`m$69294$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`m$$ = -0.2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$69294$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Animate[
        $CellContext`minimiQuadrati[$CellContext`m$$, $CellContext`q, \
$CellContext`puntiUno], {$CellContext`q, $CellContext`ybarUno - \
$CellContext`xbarUno $CellContext`m$$ - 
         0.5, $CellContext`ybarUno - $CellContext`xbarUno $CellContext`m$$ + 
         0.5, 0.01}, AnimationRunning -> False, AnimationDirection -> 
        ForwardBackward, SaveDefinitions -> True, ControlPlacement -> Bottom],
       "Specifications" :> {{$CellContext`m$$, -0.2, 0.5, 0.05}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{490., {279., 284.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.629029210819501*^9, 3.6290295312689857`*^9, 3.629029685828123*^9, {
   3.629029766837614*^9, 3.629029804017961*^9}, 3.62902984345043*^9, 
   3.629041509843401*^9, 3.629041826742318*^9, 3.629041900832835*^9, 
   3.629042321239777*^9, 3.629042496140153*^9, 3.629088469908307*^9, 
   3.62908888507086*^9, 3.629088924346323*^9, {3.629173241568758*^9, 
   3.629173263618517*^9}, 3.629263971968628*^9, 3.629286960843975*^9, 
   3.629288126991688*^9, 3.629527109538925*^9, 3.6295488964793053`*^9, 
   3.629548956280435*^9, 3.629549041251287*^9, 3.6295491743856564`*^9, {
   3.629549230974285*^9, 3.629549249362425*^9}, 3.629549330675852*^9, {
   3.629549609112691*^9, 3.629549618272356*^9}, 3.629549750495655*^9, 
   3.629549834368314*^9, 3.629550227554845*^9, 3.629550695345997*^9, 
   3.629550766587017*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{Cell["\<\
Nell'animazione seguente la retta viene fatta variare nel fascio di rette \
passanti per il baricentro.\
\>", "Text",
    CellChangeTimes->{{3.629089319363453*^9, 3.629089323059812*^9}, 
      3.629089820784666*^9},
    FontWeight->"Plain"], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6292642937077427`*^9, 3.629264295580675*^9}, {
  3.629264477257951*^9, 3.62926447828065*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 0.18, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`m$$], -0.2, 0.5, 0.01}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`m$69363$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`m$$ = -0.2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$69363$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`minimiQuadrati[$CellContext`m$$, \
$CellContext`ybarUno - $CellContext`m$$ $CellContext`xbarUno, \
$CellContext`puntiUno], 
      "Specifications" :> {{$CellContext`m$$, -0.2, 0.5, 0.01}}, 
      "Options" :> {ControlPlacement -> Bottom}, "DefaultOptions" :> {}],
     ImageSizeCache->{445., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`minimiQuadrati[
         Pattern[$CellContext`m, 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]], 
         Pattern[$CellContext`puntiDati, 
          Blank[]]] := 
       Module[{$CellContext`ascisse, $CellContext`ordinate, \
$CellContext`punti = $CellContext`puntiDati, $CellContext`ordinateRetta, \
$CellContext`sommaQuadrati, $CellContext`terne, $CellContext`retta, \
$CellContext`quadrati}, $CellContext`ascisse = First[
            Transpose[$CellContext`punti]]; $CellContext`ordinate = Last[
            Transpose[$CellContext`punti]]; $CellContext`ordinateRetta = 
          
          Map[$CellContext`m # + $CellContext`q& , $CellContext`ascisse]; \
$CellContext`sommaQuadrati = 
          Apply[Plus, ($CellContext`ordinate - $CellContext`ordinateRetta)^2]; \
$CellContext`terne = 
          Transpose[{$CellContext`ascisse, $CellContext`ordinate, \
$CellContext`ordinateRetta}]; $CellContext`quadrati = Map[
            
            If[$CellContext`m > 
             0, $CellContext`vertQuad, $CellContext`vertQuadBis], \
$CellContext`terne]; $CellContext`retta = 
          Plot[$CellContext`m $CellContext`x + $CellContext`q, \
{$CellContext`x, -1, 10}, DisplayFunction -> Identity]; 
         Show[$CellContext`retta, 
           Graphics[{
             RGBColor[1, 1, 0], 
             Map[Polygon, $CellContext`quadrati]}], 
           Graphics[{
             RGBColor[1, 0, 0], 
             Map[Line, $CellContext`quadrati]}], 
           Graphics[{
             RGBColor[0, 0, 1], 
             PointSize[0.015], 
             Map[Point, $CellContext`punti]}], 
           Graphics[{
             RGBColor[1, 0, 0], 
             PointSize[0.02], 
             Point[{
               $CellContext`xbar[$CellContext`punti], 
               $CellContext`ybar[$CellContext`punti]}]}], 
           Graphics[{
             RGBColor[1, 1, 0], 
             
             Polygon[{{
               0, -1}, {$CellContext`sommaQuadrati, -1}, \
{$CellContext`sommaQuadrati, -2}, {0, -2}}]}], 
           Graphics[{
             RGBColor[1, 0, 0], 
             
             Line[{{0, -1}, {$CellContext`sommaQuadrati, -1}, \
{$CellContext`sommaQuadrati, -2}, {0, -2}, {0, -1}}]}], 
           DisplayFunction -> $DisplayFunction, AspectRatio -> Automatic, 
           AxesOrigin -> {0, 0}, PlotRange -> {{-1, 10}, {-3, 5}}, Frame -> 
           True, ImageSize -> {400, 400}]], $CellContext`m$$[
         Pattern[$CellContext`puntiDati, 
          Blank[]]] := 
       Module[{$CellContext`xb = $CellContext`xbar[$CellContext`puntiDati], \
$CellContext`yb = $CellContext`ybar[$CellContext`puntiDati]}, Dot[First[
             Transpose[$CellContext`puntiDati]] - $CellContext`xb, Last[
             Transpose[$CellContext`puntiDati]] - $CellContext`yb]/Dot[First[
            Transpose[$CellContext`puntiDati]] - $CellContext`xb, First[
            
            Transpose[$CellContext`puntiDati]] - $CellContext`xb]], \
$CellContext`xbar[
         Pattern[$CellContext`puntiDati, 
          Blank[]]] := Apply[Plus, 
          First[
           Transpose[$CellContext`puntiDati]]]/
        Length[$CellContext`puntiDati], $CellContext`ybar[
         Pattern[$CellContext`puntiDati, 
          Blank[]]] := Apply[Plus, 
          Last[
           Transpose[$CellContext`puntiDati]]]/
        Length[$CellContext`puntiDati], $CellContext`punti[
         Pattern[$CellContext`mp, 
          Blank[]], 
         Pattern[$CellContext`qp, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := 
       Table[{$CellContext`x + 
          0.3 (RandomReal[] - 
            0.5), ($CellContext`mp $CellContext`x + $CellContext`qp) + (
           RandomReal[] - 0.5)}, {$CellContext`x, 
          1, $CellContext`n}], $CellContext`vertQuad[{
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]], 
          Pattern[$CellContext`ys, 
           Blank[]]}] := 
       Module[{$CellContext`d = $CellContext`ys - $CellContext`y}, \
{{$CellContext`x, $CellContext`y}, {$CellContext`x, $CellContext`ys}, \
{$CellContext`x + $CellContext`d, $CellContext`ys}, {$CellContext`x + \
$CellContext`d, $CellContext`y}, {$CellContext`x, $CellContext`y}}], \
$CellContext`vertQuadBis[{
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]], 
          Pattern[$CellContext`ys, 
           Blank[]]}] := 
       Module[{$CellContext`d = $CellContext`y - $CellContext`ys}, \
{{$CellContext`x, $CellContext`y}, {$CellContext`x, $CellContext`ys}, \
{$CellContext`x + $CellContext`d, $CellContext`ys}, {$CellContext`x + \
$CellContext`d, $CellContext`y}, {$CellContext`x, $CellContext`y}}], \
$DisplayFunction = Identity, $CellContext`ybarUno = 
       1.8154951506771293`, $CellContext`xbarUno = 
       4.981122825437549, $CellContext`puntiUno = {{1.0463711514125662`, 
        1.515548792398353}, {1.8924003912515561`, 0.9040245163273262}, {
        3.026905830805979, 1.0132879378988953`}, {3.8922720151405104`, 
        1.8496742832923734`}, {5.079746877218988, 1.922978784960296}, {
        5.958754529173528, 2.093639858533522}, {6.995476590746158, 
        2.517681527140016}, {8.048609882197349, 2.533481423460816}, {
        8.88956816099131, 1.9891392320825674`}}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.629089472210228*^9, {3.629173231411035*^9, 3.629173241790658*^9}, 
   3.629263972385817*^9, 3.629286992755568*^9, 3.629287064147196*^9, 
   3.6295271251083813`*^9, 3.6295489176284437`*^9, 3.629548960803224*^9, {
   3.6295492738834963`*^9, 3.6295492850572567`*^9}, 3.6295493315265427`*^9, 
   3.629549609997243*^9, 3.629549769465187*^9, 3.629549834573366*^9, {
   3.629550079979898*^9, 3.629550095489211*^9}, 3.629550243902505*^9, 
   3.629550695553751*^9, 3.629550766798553*^9}]
}, Open  ]],

Cell[TextData[{
 "Si pu\[OGrave] fare una prima stima del valore ottimale di  ",
 StyleBox["m",
  FontSlant->"Italic"],
 ".\n\nPer i punti in figura si trova che il baricentro ha coordinate \n\
(4.98, 1.81) e il valore ottimale di ",
 StyleBox["m",
  FontSlant->"Italic"],
 " \[EGrave] 0.169."
}], "Text",
 CellChangeTimes->{{3.6292643306096582`*^9, 3.6292643485697203`*^9}, {
   3.629526519931655*^9, 3.629526548053097*^9}, {3.629550856877214*^9, 
   3.629550922083502*^9}, 3.6344490416537037`*^9}]
}, Open  ]]
},
WindowSize->{867, 881},
WindowMargins->{{140, Automatic}, {113, Automatic}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "AutomatedReport.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1485, 35, 113, 1, 79, "Section"],
Cell[1601, 38, 509, 11, 106, "Text"],
Cell[2113, 51, 803, 17, 182, "Text"],
Cell[2919, 70, 2702, 49, 572, "Output"],
Cell[CellGroupData[{
Cell[5646, 123, 461, 10, 58, "Input"],
Cell[6110, 135, 7504, 159, 498, "Output"]
}, Open  ]],
Cell[13629, 297, 499, 12, 87, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature SvDlNX7bMFVTBA1qzvFXgIOn *)
